## gfxboot 3.3.28

=== themes/SuSE/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BINDIR      := $(shell [ -x ../../mkbootmsg ] && echo ../../ )
 
-PRODUCT      = "SUSE Linux 10.1"
+PRODUCT      = "openSUSE 10.3"
 export PRODUCT
 
 HELP2TXT     = $(BINDIR)help2txt
@@ -16,9 +16,9 @@
 
 DEFAULT_LANG =
 
-PIC_COMMON   = timer_a.jpg
+PIC_COMMON   = timer_a.jpg pback.jpg phead.jpg panim{,_a}.jpg pabout.txt gfxboot.cfg
 PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
-PIC_BOOT     = back-low.jpg
+PIC_BOOT     = back-boot.jpg
 
 FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \
 	       $(PIC_COMMON) $(PIC_INSTALL) $(HELPINST_ALL)
@@ -42,7 +42,7 @@
 install/%.hlp: help-install.%.html install
 	$(HELP2TXT) --product=$(PRODUCT) $< >$@
 
-.PHONY: all themes font clean po
+.PHONY: all themes font aafont bitmapfont clean po
 
 all: themes
 
@@ -66,7 +66,7 @@
 	@echo $(DEFAULT_LANG) >boot/lang
 	@echo $(DEFAULT_LANG) >>boot/languages
 endif
-	@mv boot/back-low.jpg boot/back.jpg
+	@mv boot/back-boot.jpg boot/back.jpg
 	@sh -c 'cd boot; echo $(FILES_BOOT_EN) | sed -e "s/ /\n/g" | cpio --quiet -o >message'
 
 installdir: install.config po install $(INCLUDES) $(HELPINST)
@@ -79,17 +79,40 @@
 	@sh -c 'cd install; chmod +t $(INST_EXT)'
 	@sh -c 'cd install; echo $(FILES_INST) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo'
 
-font:
-	cat po/*.po *.html >tmp.txt
-	../../getx11font -v -l 18 -p 2,4 \
+font: aafont
+
+aafont:
+	cat po/*.tr *.html >tmp.txt
+	../../mkblfont -v -l 18 \
 	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
 	`../../bin/keymapchars keymap.*.inc` \
 	-t tmp.txt \
 	-t install/log -t boot/log \
 	-t languages \
-	-f -efont-fixed-bold-r-normal--16-160-75-75-c-80-iso10646-1 \
-	-f -efont-fixed-bold-r-normal--16-160-75-75-c-160-iso10646-1 \
-	--fsize 16,5 -f '-freetype-haydar unicode-medium-r-normal--17-120-100-100-p-81-iso10646-1' \
+	-f NachlieliCLM-Bold:size=14:c=0x590-0x5ff \
+	-f KacstOne:size=14:c=0x600-0x6ff,0xfe70-0xfefc:dy=2 \
+	-f MuktiNarrow:size=18:c=0x0981-0x09fa:bold=1 \
+	-f lohit_hi:size=18:c=0x0901-0x0970:bold=1 \
+	-f lohit_pa:size=19:c=0x0a01-0x0a74:bold=1 \
+	-f lohit_gu:size=18:c=0x0a81-0x0af1:bold=1 \
+	-f TSCu_Paranar:size=18:c=0x0b82-0x0bfa:dy=2:bold=1 \
+	-f lklug:size=17:c=0x0d82-0x0df4:bold=1:dy=1 \
+	-f KhmerOS_sys:size=16:c=0x1780-0x17f9:dy=-2 \
+	-f DejaVuSans-Bold:size=14 \
+	-f FZHeiTi:size=17:nobitmap=1 \
+	-f gulim:size=17:bold=1:nobitmap=1 \
+	16x16.fnt >16x16.fnt.log
+	rm -f tmp.txt
+
+bitmapfont:
+	cat po/*.tr *.html >tmp.txt
+	../../mkblfont -v -l 18 \
+	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
+	`../../bin/keymapchars keymap.*.inc` \
+	-t tmp.txt \
+	-t install/log -t boot/log \
+	-t languages \
+	-f b16_b:prop=2:space_width=6 \
 	16x16.fnt >16x16.fnt.log
 	rm -f tmp.txt
 
@@ -97,12 +120,12 @@
 	[ ! -f po/Makefile ] || make -C po clean
 	rm -f `find -type l`
 	rmdir po 2>/dev/null || true
-	rm -f bootdir installdir *~ *.log
+	rm -f bootdir installdir *~
 	rm -rf boot install
 
 prep:
 	[ -e boot.config ] || { mkdir po ; ../../bin/adddir ../SuSE . ; }
 	[ ! -f po/Makefile ] || make -C po clean
-	rm -f bootdir installdir *~ *.log
+	rm -f bootdir installdir *~
 	rm -rf boot install
