=== themes/SuSE/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DEFAULT_LANG =
 
 PIC_COMMON   = timer_a.jpg pback.jpg phead.jpg panim{,_a}.jpg pabout.txt gfxboot.cfg
-PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
+PIC_INSTALL  = back.jpg welcome.jpg grad?.jpg w?.jpg
 PIC_BOOT     = back-boot.jpg
 
 FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \
@@ -60,7 +60,7 @@
 bootdir: boot.config po boot $(INCLUDES) $(HELPBOOT)
 	@cp -a po/*.tr boot
 	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
-	@echo en >boot/languages
+	@echo en_US >boot/languages
 	$(MKBOOTMSG) $(BFLAGS) -l boot/log -c $< boot/init
 ifdef DEFAULT_LANG
 	@echo $(DEFAULT_LANG) >boot/lang
@@ -93,14 +93,14 @@
 	-f KacstOne:size=14:c=0x600-0x6ff,0xfe70-0xfefc:dy=2 \
 	-f MuktiNarrow:size=18:c=0x0981-0x09fa:bold=1 \
 	-f lohit_hi:size=18:c=0x0901-0x0970:bold=1 \
-	-f lohit_pa:size=19:c=0x0a01-0x0a74:bold=1 \
+	-f lohit_pa:size=19:c=0x0a01-0x0a74:bold=1:autohint=1 \
 	-f lohit_gu:size=18:c=0x0a81-0x0af1:bold=1 \
 	-f TSCu_Paranar:size=18:c=0x0b82-0x0bfa:dy=2:bold=1 \
 	-f lklug:size=17:c=0x0d82-0x0df4:bold=1:dy=1 \
 	-f KhmerOS_sys:size=16:c=0x1780-0x17f9:dy=-2 \
 	-f DejaVuSans-Bold:size=14 \
-	-f FZHeiTi:size=17:nobitmap=1 \
-	-f gulim:size=17:bold=1:nobitmap=1 \
+	-f FZHeiTi:size=17:nobitmap=1:autohint=1 \
+	-f gulim:size=17:bold=1:nobitmap=1:autohint=1 \
 	16x16.fnt >16x16.fnt.log
 	rm -f tmp.txt
