=== themes/SuSE/po/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 POFILES	= $(wildcard *.po)
 TEXTS	= $(addsuffix .tr,$(basename $(wildcard *.po)))
 
-PRODUCT ?= "SUSE Linux 10.1"
+PRODUCT ?= "openSUSE 10.3"
 
 all: text.inc $(TEXTS)
