## gfxboot 4.4.3

=== debian/changelog ===
gfxboot (4.4.3-1) unstable; urgency=low

  * Merging upstream version 4.4.3.
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makging packaging distribution neutral.
  * Updating years in copyright file.
  * Updating to standards version 3.9.2.
  * Removing leftover README.source.
  * Compacting copyright file.
  * Correcting spelling typo in package description, thanks to Simon
    Kainz <simon@familiekainz.at> (Closes: #636586).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 28 Aug 2011 18:33:56 +0200

gfxboot (4.3.5-2) experimental; urgency=low

  * Adding patch from Colin Watson <cjwatson@ubuntu.com> to fix link
    order with 'ld --as-needed' (Closes: #605771).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 03 Dec 2010 17:39:02 +0100

gfxboot (4.3.5-1) experimental; urgency=low

  * Merging upstream version 4.3.5.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Nov 2010 17:25:01 +0100

gfxboot (4.3.1-2) experimental; urgency=low

  * Also building on hurd-i386 (Closes: #597273).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Sep 2010 01:41:57 +0200

gfxboot (4.3.1-1) experimental; urgency=low

  * Merging upstream version 4.3.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 15 Sep 2010 08:56:15 +0200

gfxboot (4.3.0-1) experimental; urgency=low

  * Merging upstream version 4.3.0.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 14 Aug 2010 22:44:51 +0200

gfxboot (4.2.2-1) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 4.2.2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Jul 2010 00:31:03 +0200

gfxboot (4.2.1-1) unstable; urgency=low

  * Merging upstream version 4.2.1.
  * Dropping dump-malloc-screen-size.patch, not required anymore.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 05 Jun 2010 09:45:57 +0200

gfxboot (4.1.47-1) unstable; urgency=low

  * Merging upstream version 4.1.47.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 22 May 2010 15:51:34 +0200

gfxboot (4.1.44-1) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 4.1.44.
  * Sorting dh call in rules to common order.
  * Updating year in copyright file.
  * Reordering debhelper install files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 24 Apr 2010 11:30:17 +0200

gfxboot (4.1.41-1) unstable; urgency=low

  * Merging upstream version 4.1.41.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 23 Dec 2009 09:06:26 +0100

gfxboot (4.1.40-4) unstable; urgency=low

  * Adding cpio to depends of gfxboot-dev (Closes: #560625).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 12 Dec 2009 07:46:17 +0100

gfxboot (4.1.40-3) unstable; urgency=low

  * Also building package on kfreebsd-amd64 (Closes: #559403).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 05 Dec 2009 23:03:47 +0100

gfxboot (4.1.40-2) unstable; urgency=low

  * Also building package on kfreebsd-i386 (Closes: #559403).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 04 Dec 2009 08:12:29 +0100

gfxboot (4.1.40-1) unstable; urgency=low

  * Dropping lpia from architectures, lpia is dead.
  * Merging upstream version 4.1.40.
  * Updating README.source.
  * Adding explicit source version 1.0 until switch to 3.0.
  * Bumping versioned build-depends on quilt.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 27 Nov 2009 15:11:52 +0100

gfxboot (4.1.39-2) unstable; urgency=low

  * Only building on intel architectures, appears to be non-portable
    otherwise (Closes: #556638).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 17 Nov 2009 12:32:03 +0100

gfxboot (4.1.39-1) unstable; urgency=low

  * Merging upstream version 4.1.39.
  * Updating debhelper install and links file for newly added gfxtest.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 10 Nov 2009 11:59:36 +0100

gfxboot (4.1.33-1) unstable; urgency=low

  * Merging upstream version 4.1.33.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 21 Oct 2009 08:35:18 +0200

gfxboot (4.1.31-1) unstable; urgency=low

  * Merging upstream version 4.1.31.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 10 Oct 2009 13:01:05 +0200

gfxboot (4.1.30-1) unstable; urgency=low

  * Merging upstream version 4.1.30.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Oct 2009 20:33:33 +0200

gfxboot (4.1.28-1) unstable; urgency=low

  * Merging upstream version 4.1.28.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 02 Oct 2009 19:52:34 +0200

gfxboot (4.1.24-1) unstable; urgency=low

  * Merging upstream version 4.1.24.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 20 Sep 2009 21:14:37 +0200

gfxboot (4.1.19-1) unstable; urgency=low

  * Initial release (Closes: #465768).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 02 Sep 2009 14:24:36 +0200
