=== debian/control ===
Source: gfxboot
Section: misc
Priority: extra
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 8), nasm, libfreetype6-dev, w3m, xmlto
Standards-Version: 3.9.2
Homepage: http://gfxboot.sourceforge.net/

Package: gfxboot
Architecture: any-amd64 any-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gfxboot-themes
Description: tool to test and create graphical boot logos (runtime)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the runtime utility.

Package: gfxboot-dev
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gfxboot (= ${binary:Version}), cpio,
 libfribidi0, libhtml-parser-perl
Suggests: gfxboot-themes
Description: tool to test and create graphical boot logos (development)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the development utilities.
