## gfxboot 4.5.0

=== debian/changelog ===
gfxboot (4.5.0-3) unstable; urgency=low

  * Adding patch to update syslinux paths (Closes: #682974).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 27 Jul 2012 17:44:09 +0200

gfxboot (4.5.0-2) unstable; urgency=low

  * Updating GPL boilerplate in copyright file.
  * Switching to xz compression.
  * Trimming auto_install override in rules.
  * Adding patch to avoid overwriting buildflags.
  * Enabling hardened buildflags.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 18:05:56 +0200

gfxboot (4.5.0-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Merging upstream version 4.5.0.
  * Updating package to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating years in copyright file.
  * Updating copyright file to format version 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 06 Jun 2012 16:17:29 +0200
