=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Otavio Salvador <otavio@debian.org>
-Build-Depends: debhelper (>= 8), nasm, libfreetype6-dev, w3m, xmlto
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), nasm, libfreetype6-dev, w3m, xmlto
+Standards-Version: 3.9.3
 Homepage: http://gfxboot.sourceforge.net/
 
 Package: gfxboot
