## gfxboot 4.5.1

=== debian/changelog ===
gfxboot (4.5.1-3ubuntu1) trusty; urgency=medium

  * Fix build with changed freetype header layout.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jan 2014 16:00:33 +0000

gfxboot (4.5.1-3) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:31:54 +0100

gfxboot (4.5.1-2) unstable; urgency=low

  * Removing Otavio from uploaders with his consent.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:30:16 +0100

gfxboot (4.5.1-1) unstable; urgency=low

  * Merging upstream version 4.5.1.
  * Updating to standards version 3.9.4.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Dec 2012 12:32:31 +0100
