=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gfxboot
 Section: misc
 Priority: extra
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Uploaders: Otavio Salvador <otavio@debian.org>
+Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends: debhelper (>= 9), nasm, libfreetype6-dev, w3m, xmlto
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://gfxboot.sourceforge.net/
 
 Package: gfxboot
