=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh ${@}
@@ -9,12 +11,12 @@
 	$(MAKE) -C doc clean
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS)"
 
 	$(MAKE) -C doc doc
 
 override_dh_auto_install:
-	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp
+	dh_auto_install
 
 	install -D -m 0644 doc/gfxboot.8 debian/gfxboot/usr/share/man/man1/gfxboot.1
 
@@ -27,3 +29,6 @@
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz -z9
